*Josep Pascual i Bardaj pascalpsi.es
Licencia: Creative Commons Attribution-NonCommercial 4.0
Preparamos el archivo de datos para relacionar madres referentes e hijos de estas.

DATASET ACTIVATE DataSet1.
*Convierto el valor "blanco" de PAREN_PR en 0.
RECODE PAREN_PR (SYSMIS=0). 
EXECUTE.
SORT CASES BY IP (A).

*Creo el archivo posible referente madre PMR.sav.
DATASET COPY  PMR. 
DATASET ACTIVATE  PMR. 
FILTER OFF. 
USE ALL. 
SELECT IF (SEXO = 0 & PAREN_PR = 0). 
EXECUTE.

DELETE VARIABLES CCAA TO SEXO.
DELETE VARIABLES EMP_HOG TO HUES_HOG.
DELETE VARIABLES CODPAIS TO PAREJA.
DELETE VARIABLES CERT_MI TO PONDERA.
DELETE VARIABLES EDADGr TO DITotalSN.
RENAME VARIABLES EDAD=EDAD_PMR PAIS=PAIS_PMR ESTUDIO=ESTUDIO_PMR LIMIT=LIMIT_PMR.
SORT CASES BY IP (A).

*A MICRODAT.TOTAL.HOGARES1 le aadimos los valores de madres referente EDAD_PMR PAIS_PMR ESTUDIO_PMR LIMIT_PMR..
DATASET ACTIVATE DataSet1.
WEIGHT OFF.
MATCH FILES /FILE=* 
  /TABLE='PMR' 
  /RENAME (IP = d0) 
  /BY IdentHogar 
  /DROP= d0. 
EXECUTE.

DO IF (PAREN_PR <> 2). 
RECODE EDAD_PMR (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAREN_PR <> 2). 
RECODE PAIS_PMR (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAREN_PR <> 2). 
RECODE ESTUDIO_PMR (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAREN_PR <> 2). 
RECODE LIMIT_PMR (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DATASET ACTIVATE PMR.

DATASET ACTIVATE DataSet1.
DATASET CLOSE PMR.

*--------------------------------------------------------------------------------------
Creo el archivo de madres de 1a persona con discapacidad.
DATASET COPY  P1D. 
DATASET ACTIVATE  P1D. 
FILTER OFF. 
USE ALL. 
SELECT IF (SEXO = 0 & PAREN_D1 = 4).
EXECUTE.

DELETE VARIABLES CCAA TO SEXO.
DELETE VARIABLES EMP_HOG TO HUES_HOG.
DELETE VARIABLES CODPAIS TO PAREJA.
DELETE VARIABLES CERT_MI TO PONDERA.
DELETE VARIABLES EDADGr TO DITotalSN.
DELETE VARIABLES EDAD_PMR to LIMIT_PMR.
RENAME VARIABLES EDAD=EDAD_P1D PAIS=PAIS_P1D ESTUDIO=ESTUDIO_P1D LIMIT=LIMIT_P1D.
SORT CASES BY IP (A).
*------------------------------------------------------------------------------------------------------------------------
*A MICRODAT.TOTAL.HOGARES1 le aadimos los valores de madres 1a persona con discapacidad EDAD_P1D PAIS_P1D ESTUDIO_P1D 
LIMIT_P1D.
DATASET ACTIVATE DataSet1.
WEIGHT OFF.
MATCH FILES /FILE=* 
  /TABLE='P1D' 
  /RENAME (IP = d0) 
  /BY IdentHogar 
  /DROP= d0. 
EXECUTE .

RECODE DISLIM (1=1) (6=6) (SYSMIS=6). 
EXECUTE.

DO IF (NORD<>NORD_D1). 
RECODE EDAD_P1D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_PMR>0). 
RECODE EDAD_P1D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (NORD<>NORD_D1). 
RECODE PAIS_P1D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_PMR>0). 
RECODE PAIS_P1D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (NORD<>NORD_D1). 
RECODE ESTUDIO_P1D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_PMR>0). 
RECODE ESTUDIO_P1D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (NORD<>NORD_D1). 
RECODE LIMIT_P1D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_PMR>0). 
RECODE LIMIT_P1D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DATASET CLOSE P1D.
*---------------------------------------------------------------------------------------------------------------------------------
Creo el archivo de madres de 2a persona con discapacidad.
DATASET COPY  P2D. 
DATASET ACTIVATE  P2D. 
FILTER OFF. 
USE ALL. 
SELECT IF (SEXO = 0 & PAREN_D2 = 4).
EXECUTE.

DELETE VARIABLES CCAA TO SEXO.
DELETE VARIABLES EMP_HOG TO HUES_HOG.
DELETE VARIABLES CODPAIS TO PAREJA.
DELETE VARIABLES CERT_MI TO PONDERA.
DELETE VARIABLES EDADGr TO DITotalSN.
DELETE VARIABLES EDAD_PMR to LIMIT_PMR.
RENAME VARIABLES EDAD=EDAD_P2D PAIS=PAIS_P2D ESTUDIO=ESTUDIO_P2D LIMIT=LIMIT_P2D.
SORT CASES BY IP (A).
*-----------------------------------------------------------------------------------------------------------------
A MICRODAT.TOTAL.HOGARES1 le aadimos los valores de madres 2a persona con discapacidad EDAD_P2D PAIS_P2D ESTUDIO_P2D 
LIMIT_P2D.
DATASET ACTIVATE DataSet1.
WEIGHT OFF.
MATCH FILES /FILE=* 
  /TABLE='P2D' 
  /RENAME (IP = d0) 
  /BY IdentHogar 
  /DROP= d0. 
EXECUTE .

DO IF (NORD<>NORD_D2). 
RECODE EDAD_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_PMR>0). 
RECODE EDAD_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P1D>0). 
RECODE EDAD_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.


DO IF (NORD<>NORD_D1). 
RECODE PAIS_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_PMR>0). 
RECODE PAIS_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_P1D>0). 
RECODE PAIS_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (NORD<>NORD_D1). 
RECODE ESTUDIO_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_PMR>0). 
RECODE ESTUDIO_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_P1D>0). 
RECODE ESTUDIO_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (NORD<>NORD_D1). 
RECODE LIMIT_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_PMR>0). 
RECODE LIMIT_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_P1D>0). 
RECODE LIMIT_P2D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DATASET CLOSE P2D.

*---------------------------------------------------------------------------------------------------------------------------------
Creo el archivo de madres de 3a persona con discapacidad.
DATASET COPY  P3D. 
DATASET ACTIVATE  P3D. 
FILTER OFF. 
USE ALL. 
SELECT IF (SEXO = 0 & PAREN_D3 = 4).
EXECUTE.

DELETE VARIABLES CCAA TO SEXO.
DELETE VARIABLES EMP_HOG TO HUES_HOG.
DELETE VARIABLES CODPAIS TO PAREJA.
DELETE VARIABLES CERT_MI TO PONDERA.
DELETE VARIABLES EDADGr TO DITotalSN.
DELETE VARIABLES EDAD_PMR to LIMIT_PMR.
RENAME VARIABLES EDAD=EDAD_P3D PAIS=PAIS_P3D ESTUDIO=ESTUDIO_P3D LIMIT=LIMIT_P3D.
SORT CASES BY IP (A).

*-----------------------------------------------------------------------------------------------------------------
A MICRODAT.TOTAL.HOGARES1 le aadimos los valores de madres 3a persona con discapacidad EDAD_P3D PAIS_P3D ESTUDIO_P3D 
LIMIT_P3D.
DATASET ACTIVATE DataSet1.
WEIGHT OFF.
MATCH FILES /FILE=* 
  /TABLE='P3D' 
  /RENAME (IP = d0) 
  /BY IdentHogar 
  /DROP= d0. 
EXECUTE .

DO IF (NORD<>NORD_D3). 
RECODE EDAD_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_PMR>0). 
RECODE EDAD_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P1D>0). 
RECODE EDAD_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P2D>0). 
RECODE EDAD_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (NORD<>NORD_D3). 
RECODE PAIS_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_PMR>0). 
RECODE PAIS_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_P1D>0). 
RECODE PAIS_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_P2D>0). 
RECODE PAIS_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (NORD<>NORD_D3). 
RECODE ESTUDIO_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_PMR>0). 
RECODE ESTUDIO_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_P1D>0). 
RECODE ESTUDIO_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_P2D>0). 
RECODE ESTUDIO_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (NORD<>NORD_D3). 
RECODE LIMIT_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_PMR>0). 
RECODE LIMIT_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_P1D>0). 
RECODE LIMIT_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (LIMIT_P2D>0). 
RECODE LIMIT_P3D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DATASET CLOSE P3D.

*---------------------------------------------------------------------------------------------------------------------------------
Creo el archivo de madres de 4a persona con discapacidad.
DATASET COPY  P4D. 
DATASET ACTIVATE  P4D. 
FILTER OFF. 
USE ALL. 
SELECT IF (SEXO = 0 & PAREN_D4 = 4).
EXECUTE.

DELETE VARIABLES CCAA TO SEXO.
DELETE VARIABLES EMP_HOG TO HUES_HOG.
DELETE VARIABLES CODPAIS TO PAREJA.
DELETE VARIABLES CERT_MI TO PONDERA.
DELETE VARIABLES EDADGr TO DITotalSN.
DELETE VARIABLES EDAD_PMR to LIMIT_PMR.
RENAME VARIABLES EDAD=EDAD_P4D PAIS=PAIS_P4D ESTUDIO=ESTUDIO_P4D LIMIT=LIMIT_P4D.
SORT CASES BY IP (A).

*-----------------------------------------------------------------------------------------------------------------
A MICRODAT.TOTAL.HOGARES1 le aadimos los valores de madres 4a persona con discapacidad EDAD_P4D PAIS_P4D ESTUDIO_P4D 
LIMIT_P4D.
DATASET ACTIVATE DataSet1.
WEIGHT OFF.
MATCH FILES /FILE=* 
  /TABLE='P4D' 
  /RENAME (IP = d0) 
  /BY IdentHogar 
  /DROP= d0. 
EXECUTE .

DO IF (NORD<>NORD_D4). 
RECODE EDAD_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_PMR>0). 
RECODE EDAD_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P1D>0). 
RECODE EDAD_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P2D>0). 
RECODE EDAD_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P3D>0). 
RECODE EDAD_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (NORD<>NORD_D4). 
RECODE PAIS_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_PMR>0). 
RECODE PAIS_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_P1D>0). 
RECODE PAIS_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_P2D>0). 
RECODE PAIS_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (PAIS_P3D>0). 
RECODE PAIS_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (NORD<>NORD_D4). 
RECODE ESTUDIO_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_PMR>0). 
RECODE ESTUDIO_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_P1D>0). 
RECODE ESTUDIO_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_P2D>0). 
RECODE ESTUDIO_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (ESTUDIO_P3D>0). 
RECODE ESTUDIO_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (NORD<>NORD_D4). 
RECODE LIMIT_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_PMR>0). 
RECODE LIMIT_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_P1D>0). 
RECODE LIMIT_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (LIMIT_P2D>0). 
RECODE LIMIT_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (LIMIT_P3D>0). 
RECODE LIMIT_P4D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .


DATASET CLOSE P4D.

*----------------------------------------------------------------------------------------
Creo el archivo de madres de 5a persona con discapacidad.
DATASET COPY  P5D. 
DATASET ACTIVATE  P5D. 
FILTER OFF. 
USE ALL. 
SELECT IF (SEXO = 0 & PAREN_D5 = 4).
EXECUTE.

DELETE VARIABLES CCAA TO SEXO.
DELETE VARIABLES EMP_HOG TO HUES_HOG.
DELETE VARIABLES CODPAIS TO PAREJA.
DELETE VARIABLES CERT_MI TO PONDERA.
DELETE VARIABLES EDADGr TO DITotalSN.
DELETE VARIABLES EDAD_PMR to LIMIT_PMR.
RENAME VARIABLES EDAD=EDAD_P5D PAIS=PAIS_P5D ESTUDIO=ESTUDIO_P5D LIMIT=LIMIT_P5D.
SORT CASES BY IP (A).

*-----------------------------------------------------------------------------------------------------------------
A MICRODAT.TOTAL.HOGARES1 le aadimos los valores de madres 5a persona con discapacidad EDAD_P5D PAIS_P5D ESTUDIO_P5D 
LIMIT_P5D.
DATASET ACTIVATE DataSet1.
WEIGHT OFF.
MATCH FILES /FILE=* 
  /TABLE='P5D' 
  /RENAME (IP = d0) 
  /BY IdentHogar 
  /DROP= d0. 
EXECUTE .

DO IF (NORD<>NORD_D5). 
RECODE EDAD_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_PMR>0). 
RECODE EDAD_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P1D>0). 
RECODE EDAD_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P2D>0). 
RECODE EDAD_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P3D>0). 
RECODE EDAD_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (EDAD_P4D>0). 
RECODE EDAD_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (NORD<>NORD_D5). 
RECODE PAIS_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_PMR>0). 
RECODE PAIS_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_P1D>0). 
RECODE PAIS_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (PAIS_P2D>0). 
RECODE PAIS_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (PAIS_P3D>0). 
RECODE PAIS_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (PAIS_P4D>0). 
RECODE PAIS_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (NORD<>NORD_D5). 
RECODE ESTUDIO_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_PMR>0). 
RECODE ESTUDIO_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_P1D>0). 
RECODE ESTUDIO_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (ESTUDIO_P2D>0). 
RECODE ESTUDIO_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (ESTUDIO_P3D>0). 
RECODE ESTUDIO_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (ESTUDIO_P4D>0). 
RECODE ESTUDIO_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (NORD<>NORD_D5). 
RECODE LIMIT_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_PMR>0). 
RECODE LIMIT_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE.

DO IF (LIMIT_P1D>0). 
RECODE LIMIT_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (LIMIT_P2D>0). 
RECODE LIMIT_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (LIMIT_P3D>0). 
RECODE LIMIT_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DO IF (LIMIT_P4D>0). 
RECODE LIMIT_P5D (0 thru 200=SYSMIS). 
END IF. 
EXECUTE .

DATASET CLOSE P5D.

RECODE EDAD_PMR (SYSMIS=0). 
EXECUTE.

RECODE EDAD_P1D (SYSMIS=0). 
EXECUTE.

RECODE EDAD_P2D (SYSMIS=0). 
EXECUTE.

RECODE EDAD_P3D (SYSMIS=0). 
EXECUTE.

RECODE EDAD_P4D (SYSMIS=0). 
EXECUTE.

RECODE EDAD_P5D (SYSMIS=0). 
EXECUTE.

RECODE PAIS_PMR (SYSMIS=0). 
EXECUTE.

RECODE PAIS_P1D (SYSMIS=0). 
EXECUTE.

RECODE PAIS_P2D (SYSMIS=0). 
EXECUTE.

RECODE PAIS_P3D (SYSMIS=0). 
EXECUTE.

RECODE PAIS_P4D (SYSMIS=0). 
EXECUTE.

RECODE PAIS_P5D (SYSMIS=0). 
EXECUTE.

RECODE ESTUDIO_PMR (SYSMIS=0). 
EXECUTE.

RECODE ESTUDIO_P1D (SYSMIS=0). 
EXECUTE.

RECODE ESTUDIO_P2D (SYSMIS=0). 
EXECUTE.

RECODE ESTUDIO_P3D (SYSMIS=0). 
EXECUTE.

RECODE ESTUDIO_P4D (SYSMIS=0). 
EXECUTE.

RECODE ESTUDIO_P5D (SYSMIS=0). 
EXECUTE.

RECODE LIMIT_PMR (SYSMIS=0). 
EXECUTE.

RECODE LIMIT_P1D (SYSMIS=0). 
EXECUTE.

RECODE LIMIT_P2D (SYSMIS=0). 
EXECUTE.

RECODE LIMIT_P3D (SYSMIS=0). 
EXECUTE.

RECODE LIMIT_P4D (SYSMIS=0). 
EXECUTE.

RECODE LIMIT_P5D (SYSMIS=0). 
EXECUTE.

NUMERIC EDAD_M (F3.0) EDAD_M_N (F3.0) PAIS_M (F2.0) ESTUDIO_M (F2.0) LIMIT_M (F2.0).

VARIABLE LABELS
EDAD_M_N 'Edad madre al nacimiento'
PAIS_M 'Pas nacimiento madre'
ESTUDIO_M 'Estudios madre'
LIMIT_M 'Limitaciones madre'.
EXECUTE.

VALUE LABELS 
/PAIS_M
1 'Espaa'
6 'Otros'
/ESTUDIO_M
1 'No procede, es menor de 10 aos'
2 'No sabe leer ni escribir'
3 'Estudios primarios incompletos'
4 'Estudios primarios o equivalentes'
5 'Educacin secundaria de 1 etapa'
6 'Estudios de bachillerato'
7 'Enseanza profesional de grado medio'
8 'Enseanzas profesionales superiores'
9 'Estudios universitarios o equivalentes'
99 'NC'
/LIMIT_M
1 'S, gravemente limitado'
2 'S, limitado pero no gravemente'
3 'No'
9 'NC'.
EXECUTE.

COMPUTE EDAD_M=EDAD_PMR + EDAD_P1D+ EDAD_P2D+ EDAD_P3D+ EDAD_P4D+ EDAD_P5D.
EXECUTE.

COMPUTE EDAD_M_N=EDAD_M - EDAD.
EXECUTE.


COMPUTE PAIS_M=PAIS_PMR + PAIS_P1D+ PAIS_P2D+ PAIS_P3D+ PAIS_P4D+ PAIS_P5D.
EXECUTE.

COMPUTE ESTUDIO_M=ESTUDIO_PMR + ESTUDIO_P1D+ ESTUDIO_P2D+ ESTUDIO_P3D+ ESTUDIO_P4D+ ESTUDIO_P5D.
EXECUTE.

COMPUTE LIMIT_M=LIMIT_PMR + LIMIT_P1D+ LIMIT_P2D+ LIMIT_P3D+ LIMIT_P4D+ LIMIT_P5D.
EXECUTE. 

RECODE EDAD_M PAIS_M ESTUDIO_M LIMIT_M (0=SYSMIS). 
EXECUTE.

RECODE EDAD_M_N (-100 thru 0=SYSMIS). 
EXECUTE .

DELETE VARIABLES EDAD_PMR PAIS_PMR ESTUDIO_PMR LIMIT_PMR EDAD_P1D PAIS_P1D ESTUDIO_P1D LIMIT_P1D EDAD_P2D
PAIS_P2D ESTUDIO_P2D LIMIT_P2D EDAD_P3D PAIS_P3D ESTUDIO_P3D LIMIT_P3D EDAD_P4D PAIS_P4D ESTUDIO_P4D LIMIT_P4D
EDAD_P5D PAIS_P5D ESTUDIO_P5D LIMIT_P5D.

*Guardamos y cerramos el archico MICRODAT.TOTAL.DISCAP1.sav.
DATASET ACTIVATE DataSet2.
SAVE OUTFILE=@destino+'\MICRODAT.TOTAL.DISCAP1.sav'
 /COMPRESSED.
EXECUTE.
DATASET ACTIVATE DataSet1.
DATASET CLOSE DataSet2. 

*Realizamos recodificaciones para facilitar el anlisis de regresin logsrtica.

RECODE PAIS (1=0) (6=1). 
EXECUTE.

VALUE LABELS 
/PAIS
0 'Espaa'
1 'Otros'.
EXECUTE.

RECODE DITotalSN (SYSMIS=0). 
EXECUTE.

RECODE PAIS_M (1=0) (6=1). 
EXECUTE.

VALUE LABELS 
/PAIS_M
0 'Espaa'
1 'Otros'.
EXECUTE.

RECODE LIMIT_M (3=0) (2=1) (1=2)(9=3). 
EXECUTE.

VALUE LABELS 
/LIMIT_M
0 'No'
1 'S, limitado pero no grave'
2 'S, gravemente limitado'
3 'NC'.
EXECUTE.

*Cerramos el visor.
OUTPUT CLOSE *.