*Josep Pascual i Bardaj pascalpsi.es
Licencia: Creative Commons Attribution-NonCommercial 4.0
Calculamos el factor de ponderacin, creamos las variables IdentHogar, IP, DITotalSN0 y las que va a permitir 
disgregar otras discapacidades.

DATASET ACTIVATE DataSet3.
NUMERIC PONDERA (f11.2).
VARIABLE LABELS
PONDERA 'Factor de ponderacion'.
EXECUTE.
COMPUTE PONDERA=FACTOR*381/60407.
EXECUTE.

*Creamos las variables IdentHogar, IP.
STRING IdentHogar (A8), IP (A12).
VARIABLE LABELS
IdentHogar 'Identificador nico hogar'
IP 'Identificador nico persona'.
EXECUTE.
COMPUTE IdentHogar=CONCAT(RTRIM(STRING(NSECCION,F4)),RTRIM(STRING(DC,F1)),RTRIM(STRING(VIV,F2)),RTRIM(STRING(HOG,F1))). 
EXECUTE.
COMPUTE IP=CONCAT(RTRIM(STRING(NSECCION,F4)),RTRIM(STRING(DC,F1)),RTRIM(STRING(VIV,F2)),RTRIM(STRING(HOG,F1)),RTRIM(STRING(NORD,F2))). 
EXECUTE.


*Creo la variable DITotal0 que identifica la DI en una sola variable a partir de las 13 posibles deficiencias. Asimilo la "deficiencia mental" a DI, en tanto
la encuesta no las disgrega y las demencias y enfermedades mentales o no se dan o cursan con DI.

* Creo las variables de transicin DI1 a DI13.
NUMERIC DI1 (f2.0), DI2 (f2.0), DI3 (f2.0), DI4 (f2.0), DI5 (f2.0), DI6 (f2.0), DI7 (f2.0), DI8 (f2.0), DI9 (f2.0), DI10 (f2.0), DI11 (f2.0), DI12 (f2.0), DI13 (f2.0).
RECODE DEFIC_1 (1=1) (ELSE=0) INTO DI1. 
RECODE DEFIC_2 (1=1) (ELSE=0) INTO DI2.
RECODE DEFIC_3 (1=1) (ELSE=0) INTO DI3.
RECODE DEFIC_4 (1=1) (ELSE=0) INTO DI4.
RECODE DEFIC_5 (1=1) (ELSE=0) INTO DI5.
RECODE DEFIC_6 (1=1) (ELSE=0) INTO DI6.
RECODE DEFIC_7 (1=1) (ELSE=0) INTO DI7.
RECODE DEFIC_8 (1=1) (ELSE=0) INTO DI8.
RECODE DEFIC_9 (1=1) (ELSE=0) INTO DI9.
RECODE DEFIC_10 (1=1) (ELSE=0) INTO DI10.
RECODE DEFIC_11 (1=1) (ELSE=0) INTO DI11.
RECODE DEFIC_12 (1=1) (ELSE=0) INTO DI12.
RECODE DEFIC_13 (1=1) (ELSE=0) INTO DI13.
EXECUTE.

* Creo la variable DITotalSN0 que identifica la DI en una sola variable a partir de las 9 posibles deficiencias.
NUMERIC DITotalSN0 (f2.0).
COMPUTE DITotalSN0=DI1+DI2+DI3+DI4+DI5+DI6+DI7+DI8+DI9+DI10+DI11+DI12+DI13. 
EXECUTE.
RECODE DITotalSN0 (0=0) (1 thru 13=1) INTO DITotalSN0. 
EXECUTE.
VARIABLE LABELS
DITotalSN0 'Presenta DI: s o no'.
VALUE LABELS
/DITotalSN0
0 'No'
1 'S'.

 *Elimino variables de transicin.
DELETE VARIABLES DI1, DI2, DI3, DI4, DI5, DI6, DI7, DI8, DI9, DI10, DI11, DI12, DI13.
EXECUTE.

*Creamos las variables que va a permitir disgregar otras discapacidades.
*DEFICIENCIAS_VISUALES.
NUMERIC DEFICIENCIAS_VISUALES (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0), DM8 (f2.0), 
DM9 (f2.0), DM10 (f2.0), DM11 (f2.0), DM12 (f2.0), DM13 (f2.0) DM14 (f2.0).
VARIABLE LABELS
DEFICIENCIAS_VISUALES 'Deficiencias visuales'.
VALUE LABELS
/DEFICIENCIAS_VISUALES
0 'No'
1 'S'.
EXECUTE.
RECODE DEFIC_1 (2=1) (ELSE=0) INTO DM1. 
RECODE DEFIC_2 (2=1) (ELSE=0) INTO DM2.
RECODE DEFIC_3 (2=1) (ELSE=0) INTO DM3.
RECODE DEFIC_4 (2=1) (ELSE=0) INTO DM4.
RECODE DEFIC_5 (2=1) (ELSE=0) INTO DM5.
RECODE DEFIC_6 (2=1) (ELSE=0) INTO DM6.
RECODE DEFIC_7 (2=1) (ELSE=0) INTO DM7.
RECODE DEFIC_8 (2=1) (ELSE=0) INTO DM8.
RECODE DEFIC_9 (2=1) (ELSE=0) INTO DM9.
RECODE DEFIC_10 (2=1) (ELSE=0) INTO DM10.
RECODE DEFIC_11 (2=1) (ELSE=0) INTO DM11.
RECODE DEFIC_12 (2=1) (ELSE=0) INTO DM12.
RECODE DEFIC_13 (2=1) (ELSE=0) INTO DM13.

COMPUTE DM14=DM1+DM2+DM3+DM4+DM5+DM6+DM7+DM8+DM9+DM10+DM11+DM12+DM13.
RECODE DM14 (0=0) (1 thru 13=1) INTO DEFICIENCIAS_VISUALES.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7, DM8, DM9, DM10, DM11, DM12, DM13, DM14.
EXECUTE.
*-------------------------------------------------------------------------------------------------------------------
*Creamos las variables que va a permitir disgregar otras discapacidades.
*DEFICIENCIAS_DEL_ OIDO.
NUMERIC DEFICIENCIAS_DEL_OIDO (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0), DM8 (f2.0), 
DM9 (f2.0), DM10 (f2.0), DM11 (f2.0), DM12 (f2.0), DM13 (f2.0) DM14 (f2.0).
VARIABLE LABELS
DEFICIENCIAS_DEL_OIDO 'Deficiencias auditivas'.
VALUE LABELS
/DEFICIENCIAS_DEL_OIDO
0 'No'
1 'S'.
EXECUTE.
RECODE DEFIC_1 (3=1) (ELSE=0) INTO DM1. 
RECODE DEFIC_2 (3=1) (ELSE=0) INTO DM2.
RECODE DEFIC_3 (3=1) (ELSE=0) INTO DM3.
RECODE DEFIC_4 (3=1) (ELSE=0) INTO DM4.
RECODE DEFIC_5 (3=1) (ELSE=0) INTO DM5.
RECODE DEFIC_6 (3=1) (ELSE=0) INTO DM6.
RECODE DEFIC_7 (3=1) (ELSE=0) INTO DM7.
RECODE DEFIC_8 (3=1) (ELSE=0) INTO DM8.
RECODE DEFIC_9 (3=1) (ELSE=0) INTO DM9.
RECODE DEFIC_10 (3=1) (ELSE=0) INTO DM10.
RECODE DEFIC_11 (3=1) (ELSE=0) INTO DM11.
RECODE DEFIC_12 (3=1) (ELSE=0) INTO DM12.
RECODE DEFIC_13 (3=1) (ELSE=0) INTO DM13.

COMPUTE DM14=DM1+DM2+DM3+DM4+DM5+DM6+DM7+DM8+DM9+DM10+DM11+DM12+DM13.
RECODE DM14 (0=0) (1 thru 13=1) INTO DEFICIENCIAS_DEL_OIDO.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7, DM8, DM9, DM10, DM11, DM12, DM13, DM14.
EXECUTE.
*-------------------------------------------------------------------------------------------------------------------
*Creamos las variables que va a permitir disgregar otras discapacidades.
*DEFICIENCIAS_DEL_LENGUAJE_HABLA_Y_VOZ.
NUMERIC DEFICIENCIAS_DEL_LENGUAJE_HABLA_Y_VOZ (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0), DM8 (f2.0), 
DM9 (f2.0), DM10 (f2.0), DM11 (f2.0), DM12 (f2.0), DM13 (f2.0) DM14 (f2.0).
VARIABLE LABELS
DEFICIENCIAS_DEL_LENGUAJE_HABLA_Y_VOZ 'Deficiencias lenguaje, habla y voz'.
VALUE LABELS
/DEFICIENCIAS_DEL_LENGUAJE_HABLA_Y_VOZ
0 'No'
1 'S'.
EXECUTE.
RECODE DEFIC_1 (4=1) (ELSE=0) INTO DM1. 
RECODE DEFIC_2 (4=1) (ELSE=0) INTO DM2.
RECODE DEFIC_3 (4=1) (ELSE=0) INTO DM3.
RECODE DEFIC_4 (4=1) (ELSE=0) INTO DM4.
RECODE DEFIC_5 (4=1) (ELSE=0) INTO DM5.
RECODE DEFIC_6 (4=1) (ELSE=0) INTO DM6.
RECODE DEFIC_7 (4=1) (ELSE=0) INTO DM7.
RECODE DEFIC_8 (4=1) (ELSE=0) INTO DM8.
RECODE DEFIC_9 (4=1) (ELSE=0) INTO DM9.
RECODE DEFIC_10 (4=1) (ELSE=0) INTO DM10.
RECODE DEFIC_11 (4=1) (ELSE=0) INTO DM11.
RECODE DEFIC_12 (4=1) (ELSE=0) INTO DM12.
RECODE DEFIC_13 (4=1) (ELSE=0) INTO DM13.

COMPUTE DM14=DM1+DM2+DM3+DM4+DM5+DM6+DM7+DM8+DM9+DM10+DM11+DM12+DM13.
RECODE DM14 (0=0) (1 thru 13=1) INTO DEFICIENCIAS_DEL_LENGUAJE_HABLA_Y_VOZ.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7, DM8, DM9, DM10, DM11, DM12, DM13, DM14.
EXECUTE.
*-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
*Creamos las variables que va a permitir disgregar otras discapacidades.
*DEFICIENCIAS_OSTEOARTICULARES_Extremidades_superiores.
NUMERIC DEFICIENCIAS_OSTEOARTICULARES_Extremidades_superiores (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0), DM8 (f2.0), 
DM9 (f2.0), DM10 (f2.0), DM11 (f2.0), DM12 (f2.0), DM13 (f2.0) DM14 (f2.0).
VARIABLE LABELS
DEFICIENCIAS_OSTEOARTICULARES_Extremidades_superiores'DEFICIENCIAS OSTEOARTICULARES: EESS'.
VALUE LABELS
/DEFICIENCIAS_OSTEOARTICULARES_Extremidades_superiores
0 'No'
1 'S'.
EXECUTE.
RECODE DEFIC_1 (53=1) (ELSE=0) INTO DM1. 
RECODE DEFIC_2 (53=1) (ELSE=0) INTO DM2.
RECODE DEFIC_3 (53=1) (ELSE=0) INTO DM3.
RECODE DEFIC_4 (53=1) (ELSE=0) INTO DM4.
RECODE DEFIC_5 (53=1) (ELSE=0) INTO DM5.
RECODE DEFIC_6 (53=1) (ELSE=0) INTO DM6.
RECODE DEFIC_7 (53=1) (ELSE=0) INTO DM7.
RECODE DEFIC_8 (53=1) (ELSE=0) INTO DM8.
RECODE DEFIC_9 (53=1) (ELSE=0) INTO DM9.
RECODE DEFIC_10 (53=1) (ELSE=0) INTO DM10.
RECODE DEFIC_11 (53=1) (ELSE=0) INTO DM11.
RECODE DEFIC_12 (53=1) (ELSE=0) INTO DM12.
RECODE DEFIC_13 (53=1) (ELSE=0) INTO DM13.

COMPUTE DM14=DM1+DM2+DM3+DM4+DM5+DM6+DM7+DM8+DM9+DM10+DM11+DM12+DM13.
RECODE DM14 (0=0) (1 thru 13=1) INTO DEFICIENCIAS_OSTEOARTICULARES_Extremidades_superiores.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7, DM8, DM9, DM10, DM11, DM12, DM13, DM14.
EXECUTE.
*-------------------------------------------------------------------------------------------------------------------
*Creamos las variables que va a permitir disgregar otras discapacidades.
*DEFICIENCIAS_OSTEOARTICULARES_Extremidades_inferiores.
NUMERIC DEFICIENCIAS_OSTEOARTICULARES_Extremidades_inferiores (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0), DM8 (f2.0), 
DM9 (f2.0), DM10 (f2.0), DM11 (f2.0), DM12 (f2.0), DM13 (f2.0) DM14 (f2.0).
VARIABLE LABELS
DEFICIENCIAS_OSTEOARTICULARES_Extremidades_inferiores'DEFICIENCIAS OSTEOARTICULARES: EEII'.
VALUE LABELS
/DEFICIENCIAS_OSTEOARTICULARES_Extremidades_inferiores
0 'No'
1 'S'.
EXECUTE.
RECODE DEFIC_1 (54=1) (ELSE=0) INTO DM1. 
RECODE DEFIC_2 (54=1) (ELSE=0) INTO DM2.
RECODE DEFIC_3 (54=1) (ELSE=0) INTO DM3.
RECODE DEFIC_4 (54=1) (ELSE=0) INTO DM4.
RECODE DEFIC_5 (54=1) (ELSE=0) INTO DM5.
RECODE DEFIC_6 (54=1) (ELSE=0) INTO DM6.
RECODE DEFIC_7 (54=1) (ELSE=0) INTO DM7.
RECODE DEFIC_8 (54=1) (ELSE=0) INTO DM8.
RECODE DEFIC_9 (54=1) (ELSE=0) INTO DM9.
RECODE DEFIC_10 (54=1) (ELSE=0) INTO DM10.
RECODE DEFIC_11 (54=1) (ELSE=0) INTO DM11.
RECODE DEFIC_12 (54=1) (ELSE=0) INTO DM12.
RECODE DEFIC_13 (54=1) (ELSE=0) INTO DM13.

COMPUTE DM14=DM1+DM2+DM3+DM4+DM5+DM6+DM7+DM8+DM9+DM10+DM11+DM12+DM13.
RECODE DM14 (0=0) (1 thru 13=1) INTO DEFICIENCIAS_OSTEOARTICULARES_Extremidades_inferiores.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7, DM8, DM9, DM10, DM11, DM12, DM13, DM14.
EXECUTE.
*-------------------------------------------------------------------------------------------------------------------
*Creamos las variables que va a permitir disgregar otras discapacidades.
*DEFICIENCIAS_DEL_SISTEMA_NERVIOSO.
NUMERIC DEFICIENCIAS_DEL_SISTEMA_NERVIOSO (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0), DM8 (f2.0), 
DM9 (f2.0), DM10 (f2.0), DM11 (f2.0), DM12 (f2.0), DM13 (f2.0) DM14 (f2.0).
VARIABLE LABELS
DEFICIENCIAS_DEL_SISTEMA_NERVIOSO 'DEFICIENCIAS del SN'.
VALUE LABELS
/DEFICIENCIAS_DEL_SISTEMA_NERVIOSO
0 'No'
1 'S'.
EXECUTE.
RECODE DEFIC_1 (6=1) (ELSE=0) INTO DM1. 
RECODE DEFIC_2 (6=1) (ELSE=0) INTO DM2.
RECODE DEFIC_3 (6=1) (ELSE=0) INTO DM3.
RECODE DEFIC_4 (6=1) (ELSE=0) INTO DM4.
RECODE DEFIC_5 (6=1) (ELSE=0) INTO DM5.
RECODE DEFIC_6 (6=1) (ELSE=0) INTO DM6.
RECODE DEFIC_7 (6=1) (ELSE=0) INTO DM7.
RECODE DEFIC_8 (6=1) (ELSE=0) INTO DM8.
RECODE DEFIC_9 (6=1) (ELSE=0) INTO DM9.
RECODE DEFIC_10 (6=1) (ELSE=0) INTO DM10.
RECODE DEFIC_11 (6=1) (ELSE=0) INTO DM11.
RECODE DEFIC_12 (6=1) (ELSE=0) INTO DM12.
RECODE DEFIC_13 (6=1) (ELSE=0) INTO DM13.

COMPUTE DM14=DM1+DM2+DM3+DM4+DM5+DM6+DM7+DM8+DM9+DM10+DM11+DM12+DM13.
RECODE DM14 (0=0) (1 thru 13=1) INTO DEFICIENCIAS_DEL_SISTEMA_NERVIOSO.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7, DM8, DM9, DM10, DM11, DM12, DM13, DM14.
EXECUTE.
*-------------------------------------------------------------------------------------------------------------------
*Creamos las variables que va a permitir disgregar otras discapacidades.
*DEFICIENCIAS_VISCERALES.
NUMERIC DEFICIENCIAS_VISCERALES (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0), DM8 (f2.0), 
DM9 (f2.0), DM10 (f2.0), DM11 (f2.0), DM12 (f2.0), DM13 (f2.0) DM14 (f2.0).
VARIABLE LABELS
DEFICIENCIAS_VISCERALES 'Deficiencias viscerales'.
VALUE LABELS
/DEFICIENCIAS_VISCERALES
0 'No'
1 'S'.
EXECUTE.
RECODE DEFIC_1 (7=1) (ELSE=0) INTO DM1. 
RECODE DEFIC_2 (7=1) (ELSE=0) INTO DM2.
RECODE DEFIC_3 (7=1) (ELSE=0) INTO DM3.
RECODE DEFIC_4 (7=1) (ELSE=0) INTO DM4.
RECODE DEFIC_5 (7=1) (ELSE=0) INTO DM5.
RECODE DEFIC_6 (7=1) (ELSE=0) INTO DM6.
RECODE DEFIC_7 (7=1) (ELSE=0) INTO DM7.
RECODE DEFIC_8 (7=1) (ELSE=0) INTO DM8.
RECODE DEFIC_9 (7=1) (ELSE=0) INTO DM9.
RECODE DEFIC_10 (7=1) (ELSE=0) INTO DM10.
RECODE DEFIC_11 (7=1) (ELSE=0) INTO DM11.
RECODE DEFIC_12 (7=1) (ELSE=0) INTO DM12.
RECODE DEFIC_13 (7=1) (ELSE=0) INTO DM13.

COMPUTE DM14=DM1+DM2+DM3+DM4+DM5+DM6+DM7+DM8+DM9+DM10+DM11+DM12+DM13.
RECODE DM14 (0=0) (1 thru 13=1) INTO DEFICIENCIAS_VISCERALES.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7, DM8, DM9, DM10, DM11, DM12, DM13, DM14.
EXECUTE.
*-------------------------------------------------------------------------------------------------------------------
*Creamos las variables que va a permitir disgregar otras discapacidades.
*OTRAS_DEFICIENCIAS.
NUMERIC OTRAS_DEFICIENCIAS (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0), DM8 (f2.0), 
DM9 (f2.0), DM10 (f2.0), DM11 (f2.0), DM12 (f2.0), DM13 (f2.0) DM14 (f2.0).
VARIABLE LABELS
OTRAS_DEFICIENCIAS 'Otras deficiencias'.
VALUE LABELS
/OTRAS_DEFICIENCIAS
0 'No'
1 'S'.
EXECUTE.
RECODE DEFIC_1 (8=1) (ELSE=0) INTO DM1. 
RECODE DEFIC_2 (8=1) (ELSE=0) INTO DM2.
RECODE DEFIC_3 (8=1) (ELSE=0) INTO DM3.
RECODE DEFIC_4 (8=1) (ELSE=0) INTO DM4.
RECODE DEFIC_5 (8=1) (ELSE=0) INTO DM5.
RECODE DEFIC_6 (8=1) (ELSE=0) INTO DM6.
RECODE DEFIC_7 (8=1) (ELSE=0) INTO DM7.
RECODE DEFIC_8 (8=1) (ELSE=0) INTO DM8.
RECODE DEFIC_9 (8=1) (ELSE=0) INTO DM9.
RECODE DEFIC_10 (8=1) (ELSE=0) INTO DM10.
RECODE DEFIC_11 (8=1) (ELSE=0) INTO DM11.
RECODE DEFIC_12 (8=1) (ELSE=0) INTO DM12.
RECODE DEFIC_13 (8=1) (ELSE=0) INTO DM13.

COMPUTE DM14=DM1+DM2+DM3+DM4+DM5+DM6+DM7+DM8+DM9+DM10+DM11+DM12+DM13.
RECODE DM14 (0=0) (1 thru 13=1) INTO OTRAS_DEFICIENCIAS.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7, DM8, DM9, DM10, DM11, DM12, DM13, DM14.
EXECUTE.

*Guardamos el archivo como MICRODAT.TOTAL.LIMITA1.sav.
SAVE OUTFILE=@destino+'\MICRODAT.TOTAL.LIMITA1.sav'.

*Cerramos el visor.
OUTPUT CLOSE *.




.