*Josep Pascual i Bardaj pascalpsi.es
Licencia: Creative Commons Attribution-NonCommercial 4.0
Calculamos el factor de ponderacin, creamos las variables DITotal, DITotalSN y las que va a permitir disgregar otras discapacidades.

DATASET ACTIVATE DataSet4.
NUMERIC PONDERA (f11.8).
VARIABLE LABELS
PONDERA 'Factor de ponderacion'.
EXECUTE.
COMPUTE PONDERA=FACTOR*10567/290530.
EXECUTE.

*Creo la variable DITotal que identifica la DI en una sola variable a partir de las 9 posibles deficiencias.
 * Creo las variables de transicin DI1 a DI9.
NUMERIC DI1 (f2.0), DI2 (f2.0), DI3 (f2.0), DI4 (f2.0), DI5 (f2.0), DI6 (f2.0).
RECODE C_2_D1 (11=11) (12=12) (13=13) (14=14) (15=15) (ELSE=0) INTO DI1. 
RECODE C_2_D2 (11=11) (12=12) (13=13) (14=14) (15=15) (ELSE=0) INTO DI2. 
RECODE C_2_D3 (11=11) (12=12) (13=13) (14=14) (15=15) (ELSE=0) INTO DI3.
RECODE C_2_D4 (11=11) (12=12) (13=13) (14=14) (15=15) (ELSE=0) INTO DI4.
RECODE C_2_D5 (11=11) (12=12) (13=13) (14=14) (15=15) (ELSE=0) INTO DI5.
RECODE C_2_D6 (11=11) (12=12) (13=13) (14=14) (15=15) (ELSE=0) INTO DI6.

EXECUTE.

 * Creo la variable DITotal.
NUMERIC DITotal (f2.0).
COMPUTE DITotal=DI1+DI2+DI3+DI4+DI5+DI6. 
EXECUTE.
VARIABLE LABELS
DITotal 'Presenta DI y nivel'.
VALUE LABELS
/DITotal
0 'No'
11 'Retraso madurativo'
12 'Deficiencia intelectual profunda y severa'
13 'Deficiencia intelectual moderada'
14 'Deficiencia intelectual leve'
15 'Inteligencia lmite'.
EXECUTE.

*Elimino variables de transicin.
DELETE VARIABLES DI1, DI2, DI3, DI4, DI5, DI6.
EXECUTE.

*Creo la variable DITotalSN que identifica la DI en una sola variable a partir de las 6 posibles deficiencias.
NUMERIC DITotalSN (f1.0).
RECODE DITotal (0=0) (11 thru 15=1) INTO DITotalSN. 
EXECUTE.
VARIABLE LABELS
DITotalSN 'Presenta DI: s o no'.
VALUE LABELS
/DITotalSN
0 'No'
1 'S'.
EXECUTE .

*Creamos las variables que va a permitir disgregar otras discapacidades.
*Demencia.
NUMERIC Demencia (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Demencia 'DEFICIENCIAS MENTALES: Demencias'.
VALUE LABELS
/Demencia
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (16=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (16=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (16=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (16=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (16=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (16=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Demencia.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*EnfMental.
NUMERIC EnfMental (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
EnfMental 'DEFICIENCIAS MENTALES: Enfermedad mental'.
VALUE LABELS
/EnfMental
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (17=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (17=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (17=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (17=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (17=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (17=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO EnfMental.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*OtrosTransMentales.
NUMERIC OtrosTransMentales (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
OtrosTransMentales 'DEFICIENCIAS MENTALES: Otros transtornos mentales'.
VALUE LABELS
/OtrosTransMentales
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (18=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (18=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (18=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (18=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (18=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (18=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO OtrosTransMentales.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Cegueratotal.
NUMERIC Cegueratotal (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Cegueratotal 'DEFICIENCIAS VISUALES: Ceguera total'.
VALUE LABELS
/Cegueratotal
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (21=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (21=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (21=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (21=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (21=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (21=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Cegueratotal.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*MalaVision.
NUMERIC MalaVision (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
MalaVision 'DEFICIENCIAS VISUALES: Mala visin'.
VALUE LABELS
/MalaVision
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (22=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (22=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (22=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (22=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (22=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (22=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO MalaVision.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Sorderaprelocutiva.
NUMERIC Sorderaprelocutiva (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Sorderaprelocutiva 'DEFICIENCIAS DEL OIDO: Sordera prelocutiva'.
VALUE LABELS
/Sorderaprelocutiva
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (31=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (31=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (31=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (31=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (31=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (31=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Sorderaprelocutiva.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Sorderapostlocutiva.
NUMERIC Sorderapostlocutiva (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Sorderapostlocutiva 'DEFICIENCIAS DEL OIDO: Sordera postlocutiva'.
VALUE LABELS
/Sorderapostlocutiva
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (32=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (32=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (32=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (32=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (32=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (32=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Sorderapostlocutiva.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*MalaAudicion.
NUMERIC MalaAudicion (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
MalaAudicion 'DEFICIENCIAS DEL OIDO: Mala audicin'.
VALUE LABELS
/MalaAudicion
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (33=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (33=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (33=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (33=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (33=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (33=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO MalaAudicion.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*TrastornosEquilibrio.
NUMERIC TrastornosEquilibrio (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
TrastornosEquilibrio 'DEFICIENCIAS DEL OIDO: Trastornos del equilibrio'.
VALUE LABELS
/TrastornosEquilibrio
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (34=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (34=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (34=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (34=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (34=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (34=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO TrastornosEquilibrio.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Mudeznoporsordera.
NUMERIC Mudeznoporsordera (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Mudeznoporsordera 'DEFICIENCIAS DEL LENGUAJE, HABLA Y VOZ: Mudez (no por sordera)'.
VALUE LABELS
/Mudeznoporsordera
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (41=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (41=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (41=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (41=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (41=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (41=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Mudeznoporsordera.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Habladificultosa.
NUMERIC Habladificultosa (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
 Habladificultosa 'DEFICIENCIAS DEL LENGUAJE, HABLA Y VOZ: Habla dificultosa o incomprensible'.
VALUE LABELS
/Habladificultosa
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (42=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (42=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (42=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (42=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (42=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (42=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Habladificultosa.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*OsteoarticularCabeza.
NUMERIC OsteoarticularCabeza (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
OsteoarticularCabeza 'DEFICIENCIAS OSTEOARTICULARES: Cabeza'.
VALUE LABELS
/OsteoarticularCabeza
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (51=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (51=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (51=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (51=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (51=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (51=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO OsteoarticularCabeza.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*OsteoarticularColumna.
NUMERIC OsteoarticularColumna (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
OsteoarticularColumna 'DEFICIENCIAS OSTEOARTICULARES: Columna vertebral'.
VALUE LABELS
/OsteoarticularColumna
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (52=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (52=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (52=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (52=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (52=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (52=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO OsteoarticularColumna.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*OsteoarticularEESS.
NUMERIC OsteoarticularEESS (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
OsteoarticularEESS 'DEFICIENCIAS OSTEOARTICULARES: Extremidades superiores'.
VALUE LABELS
/OsteoarticularEESS
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (53=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (53=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (53=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (53=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (53=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (53=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO OsteoarticularEESS.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*OsteoarticularEEII.
NUMERIC OsteoarticularEEII (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
OsteoarticularEEII 'DEFICIENCIAS OSTEOARTICULARES: Extremidades inferiores'.
VALUE LABELS
/OsteoarticularEEII
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (54=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (54=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (54=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (54=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (54=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (54=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO OsteoarticularEEII.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*ParalisisES.
NUMERIC ParalisisES (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
ParalisisES 'DEFICIENCIAS DEL  SISTEMA NERVIOSO: Parlisis de una extremidad superior'.
VALUE LABELS
/ParalisisES
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (61=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (61=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (61=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (61=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (61=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (61=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO ParalisisES.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*ParalisisEI.
NUMERIC ParalisisEI (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
ParalisisEI 'DEFICIENCIAS DEL  SISTEMA NERVIOSO: Parlisis de una extremidad inferior'.
VALUE LABELS
/ParalisisEI
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (62=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (62=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (62=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (62=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (62=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (62=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO ParalisisEI.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Paraplejia.
NUMERIC Paraplejia (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Paraplejia 'DEFICIENCIAS DEL  SISTEMA NERVIOSO: Paraplejia'.
VALUE LABELS
/Paraplejia
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (63=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (63=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (63=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (63=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (63=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (63=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Paraplejia.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Tetraplejia.
NUMERIC Tetraplejia (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Tetraplejia 'DEFICIENCIAS DEL  SISTEMA NERVIOSO: Tetraplejia'.
VALUE LABELS
/Tetraplejia
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (64=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (64=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (64=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (64=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (64=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (64=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Tetraplejia.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*TrasCoordinacion.
NUMERIC TrasCoordinacion (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
TrasCoordinacion 'DEFICIENCIAS DEL  SISTEMA NERVIOSO: Trastornos de la coordinacin de movimientos y/o tono muscular'.
VALUE LABELS
/TrasCoordinacion
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (65=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (65=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (65=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (65=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (65=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (65=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO TrasCoordinacion.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*OtrasSN.
NUMERIC OtrasSN (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
OtrasSN 'DEFICIENCIAS DEL  SISTEMA NERVIOSO: Otras deficiencias del sistema nervioso'.
VALUE LABELS
/OtrasSN
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (66=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (66=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (66=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (66=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (66=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (66=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO OtrasSN.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.
*---------------------------------------------------------------------------------------------------------------------------------
*ARespiratorio.
NUMERIC ARespiratorio (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
ARespiratorio 'DEFICIENCIAS VISCERALES: Aparato respiratorio'.
VALUE LABELS
/ARespiratorio
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (71=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (71=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (71=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (71=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (71=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (71=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO ARespiratorio.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*ACardiovascular.
NUMERIC ACardiovascular (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
ACardiovascular 'DEFICIENCIAS VISCERALES: Aparato cardiovascular'.
VALUE LABELS
/ACardiovascular
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (72=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (72=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (72=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (72=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (72=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (72=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO ACardiovascular.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*ADigestivo.
NUMERIC ADigestivo (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
ADigestivo 'DEFICIENCIAS VISCERALES: Aparato digestivo'.
VALUE LABELS
/ADigestivo
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (73=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (73=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (73=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (73=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (73=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (73=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO ADigestivo.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*AGenitourinario.
NUMERIC AGenitourinario (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0).
VARIABLE LABELS
AGenitourinario 'DEFICIENCIAS VISCERALES: Aparato genitourinario'.
VALUE LABELS
/AGenitourinario
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (74=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (74=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (74=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (74=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (74=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (74=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO AGenitourinario.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Endocrino.
NUMERIC Endocrino (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0).
VARIABLE LABELS
Endocrino 'DEFICIENCIAS VISCERALES: Sistema endocrino-metablico'.
VALUE LABELS
/Endocrino
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (75=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (75=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (75=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (75=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (75=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (75=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Endocrino.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Hematopoyetico.
NUMERIC Hematopoyetico (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Hematopoyetico 'DEFICIENCIAS VISCERALES: Sistema hematopoytico y sistema inmunitario'.
VALUE LABELS
/Hematopoyetico
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (76=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (76=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (76=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (76=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (76=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (76=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Hematopoyetico.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Piel.
NUMERIC Piel (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Piel 'OTRAS DEFICIENCIAS: Piel'.
VALUE LABELS
/Piel
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (81=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (81=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (81=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (81=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (81=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (81=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Piel.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Multiples.
NUMERIC Multiples (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Multiples 'OTRAS DEFICIENCIAS: Deficiencias mltiples'.
VALUE LABELS
/Multiples
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (82=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (82=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (82=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (82=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (82=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (82=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Multiples.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Otras.
NUMERIC Otras (f1.0), DM1 (f2.0), DM2 (f2.0), DM3 (f2.0), DM4 (f2.0), DM5 (f2.0), DM6 (f2.0), DM7 (f2.0).
VARIABLE LABELS
Otras 'OTRAS DEFICIENCIAS: Deficiencias no clasificadas en otra parte'.
VALUE LABELS
/Otras
0 'No'
1 'S'.
EXECUTE.
RECODE C_2_D1 (83=1) (ELSE=0) INTO DM1. 
RECODE C_2_D2 (83=1) (ELSE=0) INTO DM2. 
RECODE C_2_D3 (83=1) (ELSE=0) INTO DM3.
RECODE C_2_D4 (83=1) (ELSE=0) INTO DM4.
RECODE C_2_D5 (83=1) (ELSE=0) INTO DM5.
RECODE C_2_D6 (83=1) (ELSE=0) INTO DM6.
COMPUTE DM7=DM1+DM2+DM3+DM4+DM5+DM6.
RECODE DM7 (1=1) (ELSE=0) INTO Otras.
EXECUTE.
 *Elimino variables de transicin.
DELETE VARIABLES DM1, DM2, DM3, DM4, DM5, DM6, DM7.
EXECUTE.

*Guardamos el archivo como MICRODAT.TOTAL.DISCAP1.sav.
SAVE OUTFILE=@destino+'\MICRODAT.TOTAL.CENTROS1.sav'.
DATASET NAME DataSet2.
*Cerramos el visor.
OUTPUT CLOSE *.




.